Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get a specific recipient for a broadcast.
cURL
curl --request GET \ --url https://api.useinvent.com/orgs/broadcasts/{broadcast_id}/recipients/{recipient_id} \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.useinvent.com/orgs/broadcasts/{broadcast_id}/recipients/{recipient_id}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.useinvent.com/orgs/broadcasts/{broadcast_id}/recipients/{recipient_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.useinvent.com/orgs/broadcasts/{broadcast_id}/recipients/{recipient_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.useinvent.com/orgs/broadcasts/{broadcast_id}/recipients/{recipient_id}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.useinvent.com/orgs/broadcasts/{broadcast_id}/recipients/{recipient_id}") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.useinvent.com/orgs/broadcasts/{broadcast_id}/recipients/{recipient_id}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "id": "<string>", "broadcast_id": "<string>", "broadcast_name": "<string>", "template_id": "<string>", "channel_type": "internal", "user_id": "<string>", "name": "<string>", "username": "<string>", "phone": "<string>", "email": "<string>", "status": "QUEUED", "source": "API", "payload": {}, "retries": 123, "is_skipped": true, "is_skipped_at": "2023-11-07T05:31:56Z", "is_failed": true, "is_failed_at": "2023-11-07T05:31:56Z", "is_bounced": true, "is_bounced_at": "2023-11-07T05:31:56Z", "is_sent": true, "is_sent_at": "2023-11-07T05:31:56Z", "is_delivered": true, "is_delivered_at": "2023-11-07T05:31:56Z", "is_complained": true, "is_complained_at": "2023-11-07T05:31:56Z", "is_unsubscribed": true, "is_unsubscribed_at": "2023-11-07T05:31:56Z", "is_opened": true, "is_opened_at": "2023-11-07T05:31:56Z", "is_played": true, "is_played_at": "2023-11-07T05:31:56Z", "error_message": "<string>", "external_message_id": "<string>", "interactions": [ { "type": "CLICK", "label": "<string>", "value": "<string>", "created_at": "2023-11-07T05:31:56Z" } ], "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "contact": { "id": "<string>", "name": "<string>", "blocked": true, "unsubscribed": true, "ai_replies": true, "is_admin": true, "channels": [ { "id": "<string>", "type": "internal", "user_id": "<string>", "avatar": "<string>", "name": "<string>", "username": "<string>", "email": "<string>", "phone": "<string>", "country": "<string>", "agent": "<string>", "ip": "<string>", "language": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "link": "<string>" } ], "segments": [ { "id": "<string>", "name": "<string>", "color": "red", "contacts_count": 123, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ], "fields": {}, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "blocked_at": "2023-11-07T05:31:56Z", "unsubscribed_at": "2023-11-07T05:31:56Z", "unsubscribe_reason": "<string>", "unsubscribe_feedback": "<string>", "ai_replies_at": "2023-11-07T05:31:56Z" } }
Bearer token authentication using your API key
Broadcast ID
Recipient ID
Schema for a broadcast recipient
The channel type
internal
org
agent
custom
whatsapp_bot
messenger_bot
instagram_dm
tiktok_dm
telegram_bot
slack_bot
teams_bot
gmail
outlook
twilio
telnyx
email
smpp
The status of the broadcast recipient
QUEUED
SENDING
PROCESSED
SENT
FAILED
SKIPPED
How the recipient was triggered (transactional only)
API
MANUAL
INBOX
IMPORT
null
Show child attributes
Schema for the contact
Was this page helpful?